using System.ComponentModel;

namespace BPA.KitChen.GroupMeal.Core.Enum
{
    /// <summary>
    /// 公共状态
    /// </summary>
    public enum CommonStatus
    {
        /// <summary>
        /// 正常
        /// </summary>
        [Description("正常")]
        ENABLE = 0,

        /// <summary>
        /// 停用
        /// </summary>
        [Description("停用")]
        DISABLE = 1,

        /// <summary>
        /// 删除
        /// </summary>
        [Description("删除")]
        DELETED = 2
    }
    public enum MenuTypeEnums
    {
        /// <summary>
        ///  数据操作类型
        /// </summary>
        Handle,
        /// <summary>
        /// 普通菜单
        /// </summary>
        Normal
    }
    /// <summary>
    /// 账号类型
    /// </summary>
    public enum AdminEnums
    {
        /// <summary>
        /// 超级管理员
        /// </summary>
        [Description("超级管理员")]
        SuperAdmin = 1,

        /// <summary>
        /// 管理员
        /// </summary>
        [Description("管理员")]
        Admin = 2,

        /// <summary>
        /// 普通账号
        /// </summary>
        [Description("普通账号")]
        None = 3
    }
    /// <summary>
    /// 会员平台
    /// </summary>
    public enum PlatformType
    {
        /// <summary>
        /// 默认
        /// </summary>
        [Description("默认")]
        Default = 0,
        /// <summary>
        /// 微信
        /// </summary>
        [Description("微信")]
        WeChat=1,

        /// <summary>
        /// 支付宝
        /// </summary>
        [Description("支付宝")]
        Alipay = 2,
        /// <summary>
        /// POS
        /// </summary>
        [Description("pos")]
        POS = 3,
        /// <summary>
        /// card
        /// </summary>
        [Description("储值卡")]
        Card = 4,

    }
}